Subject: Re: Friendly refspecs

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Apr 2008 14:21:16 -0700

Teemu Likonen <[email-masked]> writes:

[By the way, please never redirect the response to your messages away from
you with:

    Mail-Followup-To: Jeff King <[email-masked]>, Ingo Molnar <[email-masked]>,
            [email-masked]

You wasted 30 seconds of my (and anybody who potentially wanted to give
advice to you) time by forcing me fix the To: header while composing this
response.  I know Jeff understands what I am going to mention, and I do
not want to waste his time by putting him on To: header.]

> Currently "git fetch <URL>" does not seem to do anything useful for
> non-git-hackers. It seems to fetch objects but not create any branches
> referring to them.

I'd suggest you to study:

  http://thread.gmane.org/gmane.comp.version-control.git/31351/focus=31634

Not everybody wants remote tracking.